Public Attributes | List of all members
_ll_cgc_init_t Struct Reference
Peripheral Driver » LL Driver » CGC » Structures » CGC Exported init structures

LL CGC init Structure definition. More...

`#include <gr55xx_ll_cgc.h>`

## Public Attributes
uint32_t | wfi_clk0
| Specifies the block that automatically closes the clock. More...
uint32_t | wfi_clk1
| Specifies the block that automatically closes the clock. More...
uint32_t | wfi_clk2
| Specifies the block that automatically closes the clock. More...
uint32_t | force_clk0
| Specifies the blocks for forced turn off clock. More...
uint32_t | force_clk1
| Specifies the blocks for forced turn off clock. More...
uint32_t | force_clk2
| Specifies the blocks for forced turn off clock. More...

## Detailed Description

LL CGC init Structure definition.

Definition at line 76 of file gr55xx_ll_cgc.h.

## Member Data Documentation

## ◆ force_clk0

uint32_t _ll_cgc_init_t::force_clk0

Specifies the blocks for forced turn off clock.

This parameter can be a combination of Force Clock OFF.

Definition at line 87 of file gr55xx_ll_cgc.h.

## ◆ force_clk1

uint32_t _ll_cgc_init_t::force_clk1

Specifies the blocks for forced turn off clock.

This parameter can be a combination of Force Clock OFF.

Definition at line 90 of file gr55xx_ll_cgc.h.

## ◆ force_clk2

uint32_t _ll_cgc_init_t::force_clk2

Specifies the blocks for forced turn off clock.

This parameter can be a combination of Force Clock OFF.

Definition at line 93 of file gr55xx_ll_cgc.h.

## ◆ wfi_clk0

uint32_t _ll_cgc_init_t::wfi_clk0

Specifies the block that automatically closes the clock.

This parameter can be a combination of Block0 Clock During WFI.

Definition at line 78 of file gr55xx_ll_cgc.h.

## ◆ wfi_clk1

uint32_t _ll_cgc_init_t::wfi_clk1

Specifies the block that automatically closes the clock.

This parameter can be a combination of Block1 Clock During WFI.

Definition at line 81 of file gr55xx_ll_cgc.h.

## ◆ wfi_clk2

uint32_t _ll_cgc_init_t::wfi_clk2

Specifies the block that automatically closes the clock.

This parameter can be a combination of Block2 Clock During WFI.

Definition at line 84 of file gr55xx_ll_cgc.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_cgc.h